What Are Plugins?

Plugins

What Are Plugins?

Plugins are small programs that are used to "plug in" to a main program. These plugins provide extra functionality to the main program, increasing its capability.

Why Do I Need Them?

Pure Motion provides a number of plugins for its software (for example, EditStudio) which allow EditStudio to load and save a variety of file formats, as well perform complex video and audio effects.

Why Not Just Include This In The Programs Themselves?

Plugins have several advantages over providing the added functionality to the programs themselves:

  • Plugins can be shared by many programs at the same time, reducing the disk space and memory required.
  • Plugins can be easily upgraded without having to upgrade the full programs. Improvements or bug fixes can be distributed easily by distributing the small plugins, rather than having to download complete new versions of all the programs.
  • Additional plugins can be released at any time and all programs can immediately take advantage of them.

What Do They Look Like?

Pure Motion's plugins are Windows DLL files (Dynamically Linked Libraries) and have names like EffectBalance.dll and BitmapJpeg.dll.

Where Are They Kept?

Pure Motion keeps its plugins in a folder which is called C:\Program Files\PureMotion\Plugins by default (this may be different if you have installed them to another location). If you cannot see any files in the plugins folder, make sure "Show All Types" is selected in the Folder Options dialog box.

What Programs Use Them?

Most Pure Motion programs use some or all of the plugins.


Video Plugins

Plugins

Video Plugins

Video plugins can load and save both video and audio files. A plugin may load a variety of files from a particular type of formats - for example, the DirectShow video plugin will load AVI as well as MPEG and Quicktime video files.

The following video plugins are available:

Format | Import | Export | Description
AVI | Yes | Yes | VideoDirectShow.dll AVI, MPEG, QuickTime and many other video format files. WAV and MP3 audio files. Very common on the Windows operating system.
AVI | Yes | Yes | VideoAVI.dll Legacy plugin for old drivers. You should use the DirectShow plugin in preference to this plugin - read more details here.
QuickTime | No | Yes | VideoQuicktime.dll Full support for all QuickTime video compression standards. Includes audio track.


DirectShow

Plugins

DirectShow

Overview

Video plugin based on Microsoft's DirectShow technology. DirectShow is part of the DirectX technology family.

Import

Any video or audio format that is supported by DirectShow.

Export

Any video or audio format that is supported by DirectShow.


AVI

Plugins

AVI

Overview

Video plugin based on Microsoft's Video for Windows system. Used to support legacy drivers that do not function correctly under the DirectShow system. You should use the DirectShow plugin for importing and exporting AVI format files in preference to this plugin. This plugin does not support AVI files over 2GB in size.

This plugin was originally provided to give support to Matrox MJPEG formatted files created by the Marvel G400-TV or Rainbow Runner hardware.

Import

Any video or audio format that is supported by Video for Windows.

Export

Any video or audio format that is supported by Video for Windows.


QuickTime

Plugins

QuickTime

Overview

Video plugin based on Apple's QuickTime technology. QuickTime is a popular standard for producing video for internet applications, due to the wide range of platforms that support QuickTime players.

Import

QuickTime import is handled by the DirectShow video plugin (the Windows DirectX system allows the import of a number of non-AVI video formats).

Export

The QuickTime plugin supports the compression of video by any installed QuickTime compression standard. This includes MJPEG, Cinepack, Indeo.

Audio export supports both 8 bit and 16 bit quality, as well as mono or stereo.

You may export video or audio or both in a QuickTime file. QuickTime files have the ".mov" file name extension.


Bitmap Plugins

Plugins

Bitmap Plugins

Bitmap plugins allow you to import and export bitmap images.

The following bitmap formats are supported:

Format | Import | Export | Description
BMP | Yes | Yes | BitmapBMP.dll Windows bitmap files. Very common on the Windows operating system.
JPEG | Yes | No | BitmapJpeg.dll Common 24 bit image format.
QuickTime | Yes | No | BitmapQuicktime.dll Many different bitmap format files including TIFF, PNG, GIF and Photoshop.


BMP

Plugins

BMP

Overview

Plugin for the .BMP file format. Common file format on the Windows operating system.

Import

Colour depths | 1 bit (2 colour) 4 bit (16 colour) 8 bit (256 colours) 24 bit (16 million colours)
Compression | Uncompressed only

Export

Colour depths | 24 bit (16 million colours)
Compression | Uncompressed only


JPEG

Plugins

JPEG

Overview

Plugin for the .JPG file format. Common file format for full colour images.

Import

Colour depths | 24 bit (16 million colours)
Compression | All types
Other | Supports progressive scan files.

Export

N/A


QuickTime

Plugins

QuickTime

Overview

Plugin for the many different file formats:

  • GIF
  • MacPaint
  • Photoshop (v2.5 and 3.0)
  • PNG
  • QuickDraw PICT
  • QuickTime image
  • Silicon Graphics
  • Targa
  • TIFF

Import

Colour depths | Various
Compression | Various
Other | The QuickTime plugin is allowed to attempt a file after the other EditStudio plugins have attempted to load the image.

Export

N/A


Video Effect Plugins

Plugins

Video Effect Plugins

A video effect plugin file (DLL file) may contain several different video effects. Typically, a single video effect plugin file will contain a number of similar video effects. Video effect plugins also contain transitions.

Video Effects

The table below lists the video effects, along with the plugin in which they are implemented:

EffectBalance.dll | Balance / Adjust HSL
 | Balance / Adjust HSV
 | Balance / Adjust RGB
 | Balance / Brightness
 | Balance / Contrast
 | Balance / Gamma
 | Balance / Levels
EffectGreyscale.dll | Colour / Colourscale
EffectColour.dll | Colour / Gradient wash
EffectGreyscale.dll | Colour / Greyscale
 | Colour / Isolate RGB
EffectColour.dll | Colour / Negative
 | Colour / Posterize
 | Colour / Solarize
 | Colour / Solid
 | Colour / Swap RGB
 | Colour / Tint
EffectFade.dll | Fade / Fade
 | Fade / Fade from black
 | Fade / Fade to black
EffectConvolve.dll | Misc / Emboss high
 | Misc / Emboss low
 | Sharpen and soften / Blur high
 | Sharpen and soften / Blur low
EffectGauss.dll | Sharpen and soften / Focus change
 | Sharpen and soften / Focus change, blurred to sharp
 | Sharpen and soften / Focus change, sharp to blurred
 | Sharpen and soften / Gaussian blur
EffectConvolve.dll | Sharpen and soften / Sharpen high
 | Sharpen and soften / Sharpen low
EffectPictInPict.dll | Size / Magnify
 | Size / Pan and zoom
EffectText.dll | Text / Text

Video Transitions

The table below lists the video transitions, along with the plugin in which they are implemented:

EffectDissolve.dll | Dissolve / Dissolve
 | Dissolve / Dissolve with blur
 | Dissolve / Mix
EffectHerbGarden.dll | Herb Garden / Herb Garden
EffectKey.dll | Key / Chromakey RGB
 | Key / Lumakey RGB
EffectHerbGarden.dll | Matte / Matte
EffectPictInPict.dll | Size / Picture in picture
EffectSlide.dll | Slide / Horizontal slide
 | Slide / Vertical slide
EffectCopy.dll | Utility / Copy
EffectWipe.dll | Wipe / Circular wipe
 | Wipe / Clock wipe
 | Wipe / Diamond wipe
 | Wipe / Elliptical wipe
 | Wipe / Linear wipe
 | Wipe / Rectangular wipe


Adjust HSL

Plugins

Adjust HSL

Overview

Allows you to hue, saturation and lightness of the image. This is usually used for special colour effects (by changing the hue) or to correct slight imbalances of the colour (by changing saturation or lightness).

Properties

Controls

Hue

Changes the actual colours in the image. The value given is between -180 and +180 degrees around the colour wheel. This shifts all colours by the same amount.

Saturation

Determines how much "pure" colour is present in the image. Increase for vibrant colours, decrease to tend towards a greyscale image.

Lightness

Determines the brightness of the image. Increase to tend the image to pure white, decrease to tend towards pure black.

See Also

Adjust RGB, Adjust HSV


Adjust HSV

Plugins

Adjust HSV

Overview

Allows you to hue, saturation and value of the image. This is usually used for special colour effects (by changing the hue) or to correct slight imbalances of the colour (by changing saturation or value).

Properties

Controls

Hue

Changes the actual colours in the image. The value given is between -180 and +180 degrees around the colour wheel. This shifts all colours by the same amount.

Saturation

Determines how much "pure" colour is present in the image. Increase for vibrant colours, decrease to tend towards a greyscale image.

Value

Determines the brightness of the image. Increase to brighten the image, decrease to darken the image.

See Also

Adjust RGB, Adjust HSL


Adjust RGB

Plugins

Adjust RGB

Overview

Allows you to change the intensities of the red, green and blue components of the image. This can be used to correct the colour from poorly calibrated video or video from an old source.

Properties

Controls

Red

Increase or reduce the red component of the image.

Green

Increase or reduce the green component of the image.

Blue

Increase or reduce the blue component of the image.

See Also

Adjust HSL, Adjust HSV


Balance

Plugins

Balance

Overview

Allows you to change the colour balance (brightness, contrast and gamma) of an image.

Properties

Controls

Brightness

Brightens or darkens the image. The brightness controls works by adding or subtracting to the RGB colour values (ie. it is not a multiplicative brighten). Values range from -100 to +100.

Contrast

Increases or reduces the contrast of an image. Values range between -100 and +100.

Gamma

Gamma affects how the light and dark colours are treated in an image. An increased gamma value (greater than 1.0) will brighten all the light colours in the image, but leave the dark colours largely untouched. This has the effect of also increasing the contrast. Reduced gamma darkens the dark colours in the image while leaving the light colours largely alone.


Levels

Plugins

Levels

Overview

Restricts the maximum and minimum brightness levels in the image. This is useful to avoid images being saturated (under or over-exposed) when displayed on some output devices.

Properties

Controls

Lower

Sets the value of the darkest brightness in the image. The lower the value, the darker the lowest level.

Upper

Sets the value of the highest brightness in the image. The higher the value, the brighter the highest level.

Clip Levels

Checking this ensures that the brightness values between the upper and lower levels remain unchanged - values are only changed if their brightness lies outside the allowable levels. If this option is unchecked than the image brightness is rescaled to fit between the upper and lower limits.

Notes

This effect is typically used to avoid images with areas of extreme light or dark that can cause display problems on some output devices. VHS tape for example does not like areas of extreme brightness or darkness and this effect can be used to ensure that these levels are not used.

Normally, you should try to use the full range of brightnesses, as this ensures that the contrast remains good in the image.


Colourscale

Plugins

Colourscale

Overview

Colourscale displays the image in varying levels of brightness of the same colour. The effect works in a similar manner to the Greyscale effect.

Properties

Controls

Colour

Opens a colour chooser dialog from which you can select the colour to use.


Gradient Wash

Plugins

Gradient Wash

Overview

Applies a colour gradient to an image. This effect is similar to a graduated filter that is used in photography. Typical uses for this effect are:

  • A blue gradient can be used to deepen and enhance the colours of both the sky and the sea.
  • An orange gradient can be used to "warm" a sunset or sunrise.
  • Black or white gradients can be used to reduce the contrast or change the brightness of selected areas of an image.

Gradient washes can be used lightly to produce subtle enhancements to an image or they can be used heavily for special effects.

Properties

Controls

Type

Sets the orientation and direction of the gradient wash. Vertical (top and bottom) and horizontal (left and right) options are available.

Colour

The colour of the gradient wash. Click on the "Colour" button to open a colour chooser to change the colour.

Level

Increases or decreases the level of the colour mix of the gradient. Choose a low value for subtle effects and a high value for obvious gradients.

Position

Enter the position values for the top, left, right and bottom edges of the gradient wash using these controls. All values are given in percentage values of the overall width and height.

Preview

The preview shows a rectangle which shows the extent of the gradient on the image. You may click on any of the small boxes in the corners or along the edges of the rectangle to resize it. Clicking and dragging from the centre of the box will allow you to move the rectangle.

You can also hide the shading from the rectangle by right-clicking on the preview window and unchecking the "Filled selection" menu item.


Greyscale

Plugins

Greyscale

Overview

Produces a greyscale image from a colour image.


Isolate RGB

Plugins

Isolate RGB

Overview

Allows you to include or exclude a particular colour from an image. Can be used to highlight a coloured item in an image or used to present an item as "dull" when surrounded by colour.

Properties

Controls

Colour

Choose the colour of interest by clicking on the "Colour" button; this will open a colour chooser dialog. By changing the Tolerance value (see below), the plugin can be made to include a range of colours that are similar to your chosen colour.

Use the eyedropper tool [image] to "pick up" the colour you wish to isolate from the preview.

You may also choose whether you wish leave this colour in the image or exclude it from the image.

Tolerance

It is unlikely that you will want to isolate just a single colour, so the tolerance value lets you select a wider range of similar colours. The larger the tolerance value, the greater the number of colours that are isolated.

Feather

Determines how the isolated range of colours blend into the grey surrounding. A larger value here provides a softer "feathered" edge between the colour and the grey.


Negative

Plugins

Negative

Overview

Produces a negative image.


Posterize

Plugins

Posterize

Overview

Reduces the number of colours in the image.

Properties

Controls

Bits Of Accuracy

The number of bits that are used to store the colour information for the red, green and blue components of the image. Normally 8 bits are used for each RGB component, but this can be reduced to between 1 and 7 bits.


Simple Gradient

Plugins

Simple Gradient

Overview

Creates a simple two colour gradient. This can be used as a background for titles.

Properties

Controls

Type

Sets the orientation and direction of the gradient. Vertical (top and bottom) and horizontal (left and right) options are available.

Colours

Choose the 2 colours used in the gradient.


Solarize

Plugins

Solarize

Overview

Inverts the colours of areas of the image that are above a certain brightness.

Properties

Controls

Level

The brightness level above which the image is inverted.


Solid Colour

Plugins

Solid Colour

Overview

Creates a solid colour image, which can be used for a background.

Properties

Controls

Colour

The solid colour that is used to fill the image.


Swap RGB

Plugins

Swap RGB

Overview

Allows you to swap the red, green and components of an image. This is a simple method of producing "false colour" images.

Properties

Controls

Colour

Choose what you want the red, green and blue components of the image to become.


Tint

Plugins

Tint

Overview

Allows you to add a colour "cast" to an image.

Properties

Controls

Colour

The colour of the tint. Click the "Colour" button to open a colour chooser dialog, from which you can select a colour.

Level

The amount of the tint. The greater the level, the more of the colour will be added to the image.


Fade

Plugins

Fade

Overview

Fades video from or to a colour. Fading to and from black is a popular method of ending or starting a video sequence.

Properties

Controls

Direction

Choose whether you wish to fade to or from the colour.

Colour

Choose the colour to use in the fade. Click the "Colour..." button to open the choose colour dialog.


Emboss

Plugins

Emboss

Overview

Emboss low produces a "charcoal drawing" effect from an image. Emboss high produces a more surreal image.

Properties

Controls

Type

You may change the convolution filter to another type.

See Also

Sharpen, Blur


Blur

Plugins

Blur

Overview

Blur produces a "soft focus" effect for an image.

Properties

Controls

Type

You may change the convolution filter to another type.

See Also

Emboss, Sharpen


Focus Change

Plugins

Focus Change

Overview

Allows the effect to "focus in" or "focus out" of an image.

Properties

Controls

Start focus blur

Sets the blur radius for the start of the effect, as a percentage of the image width. The larger the blur radius, the greater the amount of blurring of the image.

End focus blur

Sets the blur radius for the end of the effect, as a percentage of the image width. The larger the blur radius, the greater the amount of blurring of the image.

Direction

Sets the blur direction.

Notes

To perform a "focus in" effect, start with a large blur radius and end with a radius of zero (ie. no blur). A "focus out" effect is done in a similar manner, starting with a blur radius of zero and ending with a large blur radius.

See Also

Gaussian blur


Gaussian Blur

Plugins

Gaussian Blur

Overview

Gaussian blur provides a controllable amount of blurring of an image.

Properties

Controls

Radius

Sets the blur radius, as a percentage of the image width. The larger the blur radius, the greater the amount of blurring of the image.

Direction

Sets the blur direction.

See Also

Focus change


Sharpen

Plugins

Sharpen

Overview

Sharpen produces a sharpened image.

Properties

Controls

Type

You may change the convolution filter to another type.

See Also

Emboss, Blur


Magnify

Plugins

Magnify

Overview

Magnifies a rectangular portion of the image.

Properties

Controls

Position

Enter the position values for the top, left, right and bottom edges of the magnification area using these controls. All values are given in percentage values of the overall width and height.

Preview

Drag the rectangular selection box around the preview to select the area to magnify. The underlying image shows the result of the magnification (it shows the resultant image, not the source image).


Pan And Zoom

Plugins

Pan And Zoom

Overview

Allows you to pan and / or zoom an image.

The plugin has a start and an end rectangle which determines how the the pan / zoom operates. The table below shows how to perform popular operations:

Zoom in | Set the start rectangle to be the size of the full frame. Click "Set ending rectangle". Set the end rectangle to be a smaller rectangle surrounding the area of the image that you want to zoom in to.
Zoom out | As zoom out, but start with a small rectangle and end with a full frame rectangle.
Pan | Set the start rectangle smaller than the full frame. Click "Set ending rectangle" and move the rectangle to the position that you wish the pan to end.

Properties

Controls

Movement

Allows you to switch between editing the start and end rectangle positions.

Position

Enter the position values for the top, left, right and bottom edges of the zoomed image using these controls. All values are given in percentage values of the overall width and height.

Copy positions

Allows you to copy the start rectangle to the end, or the end rectangle to the start.

See Also

Magnify


Text

Plugins

Text

Overview

Adds text to a video. Allows easy generation of:

  • Static titles
  • Subtitles
  • Credits
  • Scrolling information

Properties

Controls

The controls are arranged into a number of tabs:

Text

Fade

Placement

Pause

Effects


Dissolve

Plugins

Dissolve

Overview

Dissolves the source image into the destination image.

Properties

Controls

Layers

Choose the source and destination layers from which to blend the images.

See Also

Dissolve with blur


Dissolve With Blur

Plugins

Dissolve With Blur

Overview

Blurs and dissolves the source image into the destination image.

Properties

Controls

Layers

Choose the source and destination layers from which to blend the images.

Dissolve length

The duration of the transition during which the dissolve actually happens. See the notes below for details on how the transition works.

Blur radius

The blur radius that is used as a percentage of the image width. The larger the value, the greater the image blurring.

Blur direction

The direction of the blur.

Notes

The transition works by first blurring the "from" video before performing a dissolve to the "to" video. Finally, the "to" video is unblurred until it is normal. By default, the dissolve happens during the middle half of the transition (50%), so is partially hidden by the blurring of the video. You may change this dissolve length by using the controls above. A dissolve length of 100% would start the dissolve at the start of the transition and a value of 0% would perform a cut in the middle of the transition at maximum blur.

See Also

Dissolve, Gaussian Blur


Mix

Plugins

Mix

Overview

Mixes on layer of video with another. The mix level remains constant over the duration of the effect.

Properties

Controls

Layers

Choose the foreground and background video source layers.

Foreground Transparency

Choose the transparency of the foreground video. The higher the value, the more opaque (less transparent) the foreground layer.


Herb Garden

Plugins

Herb Garden

Overview

Allows an unlimited number of customisable transitions.

Properties

Controls

Source

The source herb bitmap for the transition may come from either a layer of EditStudio, of from a file. If you select a layer, choose the layer name from the lower control. If you select a bitmap file, click the "Choose" button which appears when you select "file". For more information on choosing a file, see below.

When choosing a file, you will have option of using a smooth or simple resize. This determines how the input bitmap is resized to the build size before it is used as a herb. A simple resize will work correctly in most cases, but you may wish to use "smooth" to remove the sharp edges of the transition. Smooth resizes can have the undesirable effect of affecting the definition between sharp edges in the herb bitmap where there are very light and very dark colours.

Direction

If the transition operates forward, dark areas of the herb bitmap will be used to display the background image first. Choosing a reverse direction will ensure that light colours are used first. Selecting "Dual Blend" will perform the transition from the dark and light colours simultaneously.

Number of Passes

With a single pass transition, the length of the EditStudio layer item will be the entire length of the effect. By increasing the number of passes, the effect operates several times over the duration of the EditStudio layer item, however each pass will only partially uncover the background image.

Feather

Feathering provides a smooth edge between the foreground and background images. Use small feather values to remove the harsh "computer look" borders between the background and foreground images. Use large feather values to give the transition a "soft" feel.

Tile

The effect is repeated multiple times horizontally and vertically in the frame.

Layers

Choose the foreground and background image layers from the EditStudio project.

Choosing A File

If you have chosen to select a herb bitmap from a file, you will be presented with a file dialog. Simply select the file you wish to use. This file must be a JPEG format bitmap. The size of the bitmap are not that important - the bitmap will be scaled to be the same size as your EditStudio project build size. For high quality results we recommend using high resolution bitmaps and scale them down, rather than enlarging a small bitmap.


Chromakey RGB

Plugins

Chromakey RGB

Overview

Mixes a foreground and background image, replacing the foreground image with the background image in areas where the foreground's colours either match a chosen colour or do not match the colour.

Properties

Controls

Layers

Choose the foreground and background layers.

Colour

Choose the colour you wish to include or exclude from the foreground colour. The "fast" option provides a slightly less accurate method of matching colours but one which redraws much faster.

Click the eyedropper tool [image] to "pick up" a colour from the preview to use as the keying colour.

Tolerance

It is unlikely that you will want to isolate just a single colour, so the tolerance value lets you select a wider range of similar colours. The larger the tolerance value, the greater the number of colours that are isolated.

Feather

Determines how the isolated range of colours blend into the background. A larger value here provides a softer "feathered" edge between the colour and the background.


Lumakey RGB

Plugins

Lumakey RGB

Overview

Mixes a foreground and background image, replacing the foreground image with the background image in areas where the foreground's brightness (luminescence) is either above or below a chosen level.

Properties

Controls

Layers

Choose the foreground and background layers.

Luminescence

Choose the level of brightness (luminescence) that should be included or excluded from the foreground image.

Tolerance

It is unlikely that you will want to isolate just a single colour, so the tolerance value lets you select a wider range of similar colours. The larger the tolerance value, the greater the number of colours that are isolated.

Feather

Determines how the isolated range of colours blend into the background. A larger value here provides a softer "feathered" edge between the colour and the background.


Matte

Plugins

Matte

Overview

Allows the composition of 2 scenes.

Properties

Controls

Layers

Choose the foreground, background and matte layer for the composition.

Notes

The levels of brightness in the matte layer are used to determine how much of the background layer is shown through the foreground one. Where the matte layer is dark, the foreground layer is made more transparent so the background shows through. In light areas of the matte layer, the foreground layer is prominent.


Picture In Picture

Plugins

Picture In Picture

Overview

Allows you insert once picture inside another.

Properties

Controls

Foreground Layer

Choose the foreground layer that will be inserted on top of the background video.

Background Layer

Choose the background layer.

Position

Enter the position values for the top, left, right and bottom edges of the inserted picture using these controls. All values are given in percentage values of the overall width and height.

Preview

Drag the rectangular box around the preview to position and resize the inserted foreground video.


Slide

Plugins

Slide

Overview

Slides one layer over another.

Properties

Controls

Type

Choose the orientation (horizontal or vertical) and the direction of the slide.

Source

Choose how to move the "from" image. The image can be kept still, pushed out of frame or squashed.

Destination

Choose how to move in the "to" (final) image. Choose to push it into frame or stretch it.

Layers

Choose the from and to layers.


Copy

Plugins

Copy

Overview

Produces a copy of a chosen layer.

Properties

Controls

Layer

Choose the layer to make a copy of.


Wipe

Plugins

Wipe

Overview

Performs a variety of wipe transitions between two video clips. Allows a large amount of customisation.

Properties

Controls

Type

Choose the wipe type. Choose from: Linear, Circular, Elliptical, Rectangular, Diamond, Conical.

Transition

Choose where you want the centre of the transition to be placed. The values for this control depend on the transition Type.

Direction

Choose which direction you want the transition to proceed. All transitions can be played in "reverse".

Number Of Passes

Simple transitions occur in a single pass, but the transition can be made to build up over a number of passes.

Feather

Blends the from and to video clips together in areas around the edges of the transition. Use this to produce a more natural looking transition.

Tile

Transitions can be build from similar tiled elements. The effect of this depends on the transition Type.

Layers

Choose the from and to layers for the start and end video clips.


Balance

Plugins

Balance

Overview

Change the audio left / right stereo balance.

Properties

Controls

Balance

Enter the audio balance. Positive values shift the audio balance to the right, negative values shift the audio balance to the left.


Pan

Plugins

Pan

Overview

Pans the audio from left-to-right or right-to-left.

Properties

Controls

Pan From

Choose the start balance. Positive values shift the audio balance to the right, negative values shift the audio balance to the left.

Pan To

Choose the end balance. Positive values shift the audio balance to the right, negative values shift the audio balance to the left.


Swap Channels

Plugins

Swap Channels

Overview

Swaps the left and right audio channels.


Fade

Plugins

Fade

Overview

Fades the audio up or down.

Properties

Controls

Fade From

Choose the start audio volume level.

Fade To

Choose the end audio volume level.


Volume

Plugins

Volume

Overview

Adjust the audio volume level.

Properties

Controls

Volume

Sets the audio volume.


Dissolve

Plugins

Dissolve

Overview

Blends (dissolves) on audio layer to another.

Properties

Controls

Layers

Choose the start (from) and end (to) layers.


Mix

Plugins

Mix

Overview

Audio mixer, allowing you to combine multiple audio channels together.

Properties

Controls

Layer

The layer name you wish to use. Leave blank if you do not wish to include a layer.

Start Level

The starting audio level of the layer.

End Level

End end audio level of the layer.


Copy

Plugins

Copy

Overview

Produces an audio copy of a chosen layer.

Properties

Controls

Layer

Choose the layer to make a copy of.


License

Plugins

License Agreement

Licensee

Pure Motion Limited ("the Owners") hereby grant you a non-exclusive, non-transferable, license to use this software ("the Software") in accordance with the terms of this License Agreement. You may not copy, modify, alter, decompile or reverse engineer the Software or the user instructions in any way, other than to make one copy of the Software for backup purposes. It is also your responsibility to ensure that, before loading the Software, you have made adequate backups of the application software and data stored on your computer. In using this software, you will have deemed to have accepted the terms of this License Agreement.

Restrictions

The license is personal to you an you may not assign, transfer or sub-license the Software of the user instructions to any other person without the express written consent of the Owners.

You may only use the Software on a single computer that you own or use. Under no circumstances may you use it on more than one machine at a time. Once you have run the portion of the Software called the "setup" program on the computer, you may use the software on a different computer only if you first delete the installed files by the setup program on the first computer.

All media files included with the Software remains Copyright of the owners unless otherwise stated.

Limitations Of Remedies

Except as set out in this license agreement, in no event will either the Owners or their group companies, licensors, suppliers or agents be liable to you for any loss or damage of any kind, including any loss of profits, loss of anticipated savings or other indirect or consequential damages arising out of your use or inability to use the Software or from errors of deficiencies in it, whether caused by negligence or otherwise.

Law

This License Agreement is governed by English law and the jurisdiction of the English courts.

Copyright

The Software is Copyright 2000 Pure Motion Limited.


Index

Plugins

What Are Plugins?

Tell me what are the Pure Motion plugins. What the plugins do.

Video Plugins

Video plugins can load and save video and audio files.

Bitmap Plugins

Bitmap plugins can load and save bitmap files.

Video Effect Plugins

Video effect plugins contain one or more video effects.

Audio Filter Plugins

Audio effect plugins contain one or more audio filters.

Pure Motion on the Web

Read the latest on Pure Motion and its products. Download our free software. Read reviews and tutorials on digital video editing.

License

Legal stuff and end user agreement.


Effect Balance

Plugins

EffectBalance

The EffectBalance plugin contains video effects which change the colour balance of the image. The plugin contains the following effects:

Adjust RGB

Balance


EffectColour

Plugins

EffectColour

The EffectColour plugin contains general colour manipulation video effects. The plugin contains the following effects:

Gradient wash

Negative

Swap RGB

Tint


EffectConvolve

Plugins

EffectConvolve

The EffectConvolve plugin contains several effects that use a convolution filters. The plugin contains the following effects:

Emboss high

Emboss low

Blur high

Blur low

Sharpen high

Sharpen low


EffectCopy

Plugins

EffectCopy

The EffectCopy plugin contains contains the Copy effect.

Copy


EffectDissolve

Plugins

EffectDissolve

The EffectDissolve plugin contains several effects that use rectangular parts of their image. The plugin contains the following effects:

Dissolve

Dissolve with blur

Mix


EffectFade

Plugins

EffectFade

The EffectFade plugin contains video fade effects. The plugin contains the following effects:

Fade

Fade from black

Fade to black


EffectGauss

Plugins

EffectGauss

The EffectGauss plugin contains video effects which blur the image. The plugin contains the following effects:

Gaussian blur

Focus change

Focus, blurred to sharp

Focus, sharp to blurred


EffectGreyscale

Plugins

EffectGreyscale

The EffectGreyscale plugin contains video effects which remove the colour from an image. The plugin contains the following effects:

Colourscale

Greyscale


EffectHerbGarden

Plugins

HerbGarden

The EffectHerbGarden plugin contains contains the HerbGarden effect.

Herb Garden


EffectKey

Plugins

EffectKey

The EffectKey plugin contains several effects that allow you to "key" a particular areas of an image so that they can be replaced by an alternative video source. The plugin contains the following effects:

Chromakey RGB

Lumakey RGB


EffectPictInPict

Plugins

EffectPictInPict

The EffectPictInPict plugin contains several effects that use rectangular parts of their image. The plugin contains the following effects:

Magnify

Pan And Zoom


EffectSlide

Plugins

EffectSlide

The EffectSlide plugin contains the slide effect:

Horizontal Slide

Vertical Slide


EffectText

Plugins

EffectText

The EffectText plugin contains effects for adding text to a video. The plugin contains the following effects:

Text


Text

Plugins

Text / Effects

Controls

Shadow

Check this box to include a shadow on the text.

Shadow Type

Select either a drop shadow or soft shadow.

Shadow Position

Choose the position of the position.

Shadow Colour

Choose the colour of the shadow.

Shadow Transparency

Choose the transparency of the shadow.

Outline

Outline the text. This is useful to highlight text when displayed on a background of a similar colour to the text.

Outline Colour

Choose the text outline colour.


Text

Plugins

Text / Fade

Controls

Fade Text In

Check this box and enter the duration of the fade-in for the text.

Fade Text Out

Check this box and enter the duration of the fade-out for the text.


Text

Plugins

Text / Pause

Controls

Pause Text At Start

Enter a delay before the text starts to move.

Pause Text At Mid-Point

Enter a delay that the text should pause in the middle of a move action.

Pause Text At End

Enter a delay at the end of a text move.


Text

Plugins

Text / Placement

Controls

Move Start / End Positions

Choose whether you want to choose to move the start and / or end text positions.

Move Free

Allows you to move the text freely in the text position control.

Move Horizontally

Restricts text to only horizontal movement.

Move Vertically

Restricts text to only vertical movement.

Centre Horizontally

Centres the text horizontally.

Centre Vertically

Centres the text vertically.

Reset Position

Positions the text to the top left of the text position control.

Text Position

Click on the red rectangle to move the text in the frame.

No Line Wrap

By default, text is wrapped to ensure that it is all shown in a frame. Select this checkbox to force the text to remain as a single long line. This is useful when producing scrolling subtitles.

Position Entry

Enter the absolute position of the text in the these position entry controls.


Text

Plugins

Text / Text

Controls

Font Name

Choose the font name from the drop down list. You may also enter a font name into the text entry box.

Font Size

Choose the font size from the drop down list. You may also enter a size into the text entry box.

Bold

Toggles the bold status of the selected text.

Italic

Toggles the italic status of the selected text.

Underline

Toggles the underline status of the selected text.

Left Justify

Justifies the selected text to the left margin.

Centre Justify

Centres the selected text.

Right Justify

Justifies the selected text to the right margin.

Text Colour

Changes the colour of the selected text. Click on the button to open a colour chooser dialog.

Background Colour

Changes the background colour of the text box. Repeatedly click on the button to cycle through a range of colours. This only affects the background colour of the text box and does not change the rendered text on the video.

Text Box

Enter your text here.


EffectWipe

Plugins

EffectWipe

The EffectWipe plugin contains the wipe effects:

Circular wipe

Clock wipe

Diamond wipe

Elliptical wipe

Linear wipe

Rectangular wipe


FilterBalance

Plugins

FilterBalance

The FilterBalance plugin contains audio filters which change the left / right stereo balance of the audio. The plugin contains the following effects:

Balance

Pan

Pan left to right

Pan right to left

Swap channels


FilterCopy

Plugins

FilterCopy

The FilterCopy plugin contains the audio copy filter.

Copy


FilterFade

Plugins

FilterFade

The FilterFade plugin contains audio filters which change the volume of the audio. The plugin contains the following effects:

Fade down

Fade up

Volume


FilterMix

Plugins

FilterMix

The FilterMix plugin contains audio filters which mix different layers of audio. The plugin contains the following effects:

Dissolve

Mix


Video Effect Plugins

Plugins

Audio Filters Plugins

A audio filter plugin file (DLL file) may contain several different audio filters. Typically, a single audio filter plugin file will contain a number of similar audio filters. Audio filter plugins also contain transitions.

Audio Filters

The table below lists the audio filters, along with the plugin in which they are implemented:

FilterBalance.dll | Balance / Balance
 | Balance / Pan
 | Balance / Pan left to right
 | Balance / Pan right to left
 | Balance / Swap channels
FilterFade.dll | Volume / Fade down
 | Volume / Fade up
 | Volume / Volume

Audio Transitions

The table below lists the audio transitions, along with the plugin in which they are implemented:

FilterMix.dll Blend / Dissolve
Blend / Mix


Pure Motion Web Pages

Plugins

Visit the Pure Motion web pages at www.puremotion.com

The web site contains pages for:

  • All of Pure Motion's programs
  • Pure Motion's Video Editing area, containing information and resources suitable for anyone interested in video editing.
  • Download area, to download all the programs for either free use or for trials.
  • Access to discussion groups, to share your experiences with other users or just chew the fat on all areas of video editing.
  • All the latest Pure Motion news, updates and beta releases.